/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-o2gwh4zul3] {
    min-width: 100%; /*100vw;*/ /* Ensure it covers full viewport width */
    min-height: 100vh; /* Ensure it covers full viewport height */
    background-color: rgb(127, 129, 143); /*Blue 25, 5, L2*/
    box-sizing: border-box;
    
    /*background-image: url("../images/GridPad_4x4_T62.png");*/ /*grid pattern - lines over transparency*/
    /*background-repeat: repeat;*/ /*Tile like ImageBrush */
    /*background-size: auto;*/ /*Keep original size for pattern effect */
    /*box-sizing: border-box;*/
}

main[b-o2gwh4zul3] {
    flex: auto;
}


.home-content[b-o2gwh4zul3] {
    text-align: center;
    align-content: center;
    color: rgb(188,220,241);
    min-height: auto;
    margin-top: 16px;
}


/*max-width: do this only when the viewport width is 600px or less*/
@media (max-width: 600px) {
    .page[b-o2gwh4zul3] {
        flex-direction: row;  /*keep row */
        width: 50%;  /*keep 50%  */
        height: auto;  /*keep auto*/ 
    }
}

#blazor-error-ui[b-o2gwh4zul3] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-o2gwh4zul3] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/ReconnectModal.razor.rz.scp.css */
.components-reconnect-first-attempt-visible[b-16s0fsr6nu],
.components-reconnect-repeated-attempt-visible[b-16s0fsr6nu],
.components-reconnect-failed-visible[b-16s0fsr6nu],
.components-pause-visible[b-16s0fsr6nu],
.components-resume-failed-visible[b-16s0fsr6nu],
.components-rejoining-animation[b-16s0fsr6nu] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconnect-first-attempt-visible[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-show .components-rejoining-animation[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-paused .components-pause-visible[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-resume-failed .components-resume-failed-visible[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-retrying[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-retrying .components-reconnect-repeated-attempt-visible[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-retrying .components-rejoining-animation[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-failed[b-16s0fsr6nu],
#components-reconnect-modal.components-reconnect-failed .components-reconnect-failed-visible[b-16s0fsr6nu] {
    display: block;
}


#components-reconnect-modal[b-16s0fsr6nu] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-reconnect-modal-fadeOutOpacity-b-16s0fsr6nu 0.5s both;
    &[open]

{
    animation: components-reconnect-modal-slideUp-b-16s0fsr6nu 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-reconnect-modal-fadeInOpacity-b-16s0fsr6nu 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-16s0fsr6nu]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-reconnect-modal-fadeInOpacity-b-16s0fsr6nu 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-reconnect-modal-slideUp-b-16s0fsr6nu {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-reconnect-modal-fadeInOpacity-b-16s0fsr6nu {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-reconnect-modal-fadeOutOpacity-b-16s0fsr6nu {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-reconnect-container[b-16s0fsr6nu] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-16s0fsr6nu] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-16s0fsr6nu] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-16s0fsr6nu] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-16s0fsr6nu] {
        background-color: #6b9ed2;
    }

.components-rejoining-animation[b-16s0fsr6nu] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-rejoining-animation div[b-16s0fsr6nu] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-rejoining-animation-b-16s0fsr6nu 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-rejoining-animation div:nth-child(2)[b-16s0fsr6nu] {
            animation-delay: -0.5s;
        }

@keyframes components-rejoining-animation-b-16s0fsr6nu {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
/* /Components/Pages/Home.razor.rz.scp.css */
/* CSS for Home component */

/* HOME PAGE ITEMS */

.hero-splash[b-on8hxkuvwo] {
    width: 600px;
    height: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.screen-shot[b-on8hxkuvwo] {
    max-width: 800px;
    height: auto;
    margin-top: 1rem;
}

.body-text[b-on8hxkuvwo] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 20px;
    text-align: center;
    color: rgb(230,245,255);
    opacity: 0.8;
    align-items: center;
    width: 500px;
    margin: 0 auto;
    margin-top: 8px;
    margin-bottom: 8px;
}

/* Apply styles to the list container */
.centered-list[b-on8hxkuvwo] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 18px; /*Fixed font size */
    width: 75%; /*50% of the page width */
    margin: 0 auto; /*Centers the block horizontally */
    list-style-position: inside; /*Keep bullets inside the block */
    text-align: left; /*Keep text aligned left inside the centered block */
    color: black;
    opacity: 0.8;
    line-height: calc(18px + 4px); /*Font size + 2px leading */
    background-color: white;
}

.no-bullet[b-on8hxkuvwo] {
    list-style-type: none; /*Remove bullet for this item*/
}

.cutlines[b-on8hxkuvwo] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 16px;
    text-align: center;
    color: rgb(230,245,255);
    opacity: 0.8;
    align-items: center;
    width: 800px;
    margin: 0 auto;
    margin-bottom: 8px;
}

/* RESPONSIVE STYLES */
/* max-width means only when the viewport width is 1024 px  or less */
@media (max-width: 1024px) {

    /*Added August 17, 2026*/
    .hero-splash[b-on8hxkuvwo] {
        width: 90%;
        height: auto;
    }

    /*Added August 17, 2026*/
    .body-text[b-on8hxkuvwo] {
        width: 90%;
    }

    .screen-shot[b-on8hxkuvwo] {
        width: 90%;
    }

    .cutlines[b-on8hxkuvwo] {
        width: 90%;
    }
}


/*TOOLTIP*/

.tooltip[b-on8hxkuvwo] {
    position: relative;
    display: inline-block; 
    cursor: pointer;
}

.tooltiptext[b-on8hxkuvwo] {
    visibility: hidden;
    width: 320px; /*width of button*/
    background-color: rgb(63,72,96); /*black;*/
    color: #ffffff;
    text-align: center;
    align-content: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 8%; /* 50% half way*/
    margin-left: -60px;
}

    .tooltiptext[b-on8hxkuvwo]::after {
        content: "";
        position: absolute;
        top: 100%;
        left: 50%;
        margin-left: -5px;
        border-width: 5px;
        border-style: solid;
        border-color: black transparent transparent transparent;
    }

.tooltip:hover .tooltiptext[b-on8hxkuvwo] {
    visibility: visible;
}

.tooptip-body-text[b-on8hxkuvwo] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 14px;
    text-align: center;
    color: rgb(230,245,255);
    opacity: .8;
    align-items: center;
    width: 234px;
    margin: 0 auto;
    margin-top: 8px;
    margin-bottom: 8px;
}
/* /Components/Pages/Privacy.razor.rz.scp.css */
/* CSS for Privacy component */
.privacy-body-text[b-tqcur8xeg0] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 18px;
    text-align: left;
    color: black; /*rgb(230,245,255);*/
    background-color: white;
    opacity: 0.7;
    align-items: center;
    width: auto;
    /*margin: 0 auto;*/
    /*margin-left: 64px;
    margin-right: 64px;*/
    padding-left: 12%; /*128px;*/
    padding-right: 12%; /*128px;*/
}

.privacy-date[b-tqcur8xeg0] {
    font-style: italic;
    font-size: 12px;
}

.privacy-address[b-tqcur8xeg0] {
    padding-left: 2em;
    font-size: 16px; /* Base font size */
    line-height: calc(16px + 4px); /* Font size + 2px leading */
}
/* /Components/Pages/Support.razor.rz.scp.css */
/* CSS for Support component */

.book-cover[b-0r34mjeo2s] {
    width: 369px; /* half original size*/
    height: auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.support-body-text[b-0r34mjeo2s] {
    font-family: 'Segoe UI', Roboto, 'Open Sans', Arial, sans-serif;
    font-size: 20px;
    text-align: center;
    color: rgb(230,245,255);
    opacity: 0.8;
    align-items: center;
    width: 500px;
    margin: 0 auto;
    margin-top: 8px;
    margin-bottom: 8px;
}
